<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author  rodrigo.hernandez
@description  página que muestra los campos para aprobar/desaprobar la oferta y realizar observaciones
@cu  CU-TV-0F-009
@version  2.0

-->

<h:form id="observacionesControlCalidadForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:focus />

    <h:panelGrid columns="1" width="100%" cellspacing="7">

        <p:messages id="msgsACC" showDetail="false" globalOnly="false" />

        <p:fieldset id="historicoObservacionesControlCalidadFS">
            <legend>
                <h:outputText value="Histórico de observaciones"
                              styleClass="legendTitle" />
            </legend>

            <p:spacer height="10" />

            <p:dataTable id="listaObservacionesControlCalidadDT"
                         widgetVar="listaObservacionesControlCalidadWV"
                         value="#{realizacionControlCalidadOferta.listaObservacionesOferta}"
                         var="observacion" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                         {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         rowKey="#{observacion.id}" emptyMessage="No hay observaciones">

                <p:column headerText="Motivo de rechazo">
                    <h:outputText value="#{observacion.motivo}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Usuario">
                    <h:outputText value="#{observacion.usuario}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Fecha">
                    <h:outputText value="#{observacion.fecha}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                           timeZone="GMT-5" />
                    </h:outputText>

                </p:column>
            </p:dataTable>

            <p:spacer height="10" />

        </p:fieldset>

        <p:fieldset id="aprobacionControlCalidadFS">
            <legend>
                <h:outputText value="Aprobación" styleClass="legendTitle" />
            </legend>

            <h:panelGrid id="aprobacionPG" columns="1" width="100%">

                <h:panelGroup id="opcionesAprobacionPG">
                    <h:selectOneRadio layout="pageDirection"
                                      value="#{realizacionControlCalidadOferta.banderaOfertaRechazada}">
                        <f:selectItem itemLabel="Apruebo oferta" itemValue="false" />
                        <f:selectItem itemLabel="Rechazo oferta" itemValue="true" />
                        <p:ajax
                            update=":observacionesControlCalidadForm:motivoObservacionControlCalidadPG" />
                    </h:selectOneRadio>
                </h:panelGroup>

                <h:panelGroup id="motivoObservacionControlCalidadPG">

                    <h:panelGrid columns="2" cellspacing="7" width="5%"
                                 rendered="#{realizacionControlCalidadOferta.banderaOfertaRechazada}">
                        <h:outputLabel value="Motivo: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />

                    </h:panelGrid>
                    <h:inputTextarea id="areaObservaciones" rows="5"
                                     style="width:100%;" required="true"
                                     value="#{realizacionControlCalidadOferta.motivoRechazoOferta}"
                                     rendered="#{realizacionControlCalidadOferta.banderaOfertaRechazada}" />

                </h:panelGroup>

            </h:panelGrid>
        </p:fieldset>

        <h:panelGrid id="botonesObservacionesPG" columns="3" cellspacing="7">
            <p:commandButton id="guardarObservacionControlCalidad"
                             value="Guardar" icon="ui-icon-disk"
                             action="#{realizacionControlCalidadOferta.guardarObservacionesControlCalidadOferta}"
                             update=":realizarControlCalidadForm,
                             :observacionesControlCalidadForm,
                             msgsACC"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); 
                             handleCompleteSIC(xhr, status, args, ofertaControlCalidadWV, false); 
                             handleCompleteSIC(xhr, status, args, observacionesWV, false);" />
        </h:panelGrid>
    </h:panelGrid>

</h:form>